Skip to content

Common errors#

HTTP errors#

HTTP code Error identifier Description
204 No Content The OPTIONS request method was used, change the request method to GET
400 instance in starting process try later The instance is in the process of starting/restarting. Try again in a few seconds
400 instance is starting or not authorized The instance is not authorized. To authorize the instance, go to the console
400 Instance account is expired. Renew your instance from personal area The instance has expired. Renew your instance from the console
400 bad request data The request data is not valid. Fix the error in the request parameters and try again
400 Instance is deleted The instance has been deleted
400 Bad Request
Validation failed
Validation error, see more in the table
400 Validation failed. Details: 'chatId' is required The required parameter chatId, the chat identifier, is not specified.
400 Unexpected token _ in JSON at position XX An error in the JSON structure
401 Unauthorized Authorization problem, check that apiTokenInstance, partnerToken are specified correctly
403 Forbidden Authentication problem, check that idInstance and the request address are specified correctly
404 Not Found Incorrect request method
499 Client Closed Request The user closed the connection while the server was processing the request. You need to increase the server response timeout and repeat the request with a delay. If the error repeats, inform the operator and give them the opportunity to repeat the sending
500 File from url exceeded max upload size. Size: XXXXmb Limit: 100mb Url: An attempt to send a file larger than 100 MB
500 request entity too large The permitted json length has been exceeded (>100 kb)
502 Bad Gateway The server is unable to get a response from the target server. You need to repeat the request 3 times with a delay. If the error repeats, inform the operator and give them the opportunity to repeat the sending

400: Validation failed#

Error identifier Description
'chatId' must be one of the next formats: 'phone_number@c.us' or 'chatId' Incorrect format of the chatId field, the field is specified in the phone_number@c.us or chatId format
'wrongFieldName' is not allowed An invalid field in the request body
'{{field}}' is not allowed An invalid field in the request body
'{{field}}' is required A required field is missing in the request body
'{{field}}' is not allowed to be empty A required field cannot be empty
'XXX' must be a string Incorrect data type of the XXX field - the field must be of the string type. Fields of this type: message, idMessage, chatId, participantChatId, options[X].optionName, urlFile
'XXX' must be a boolean Incorrect data type of the XXX field - the field must be of the boolean type. Fields of this type: multipleAnswers
'XXX' must be an array Incorrect data type of the XXX field - the field must be of the array type. Fields of this type: chatIds, options, messages